package com.prolog.upcloud.base.wh.operate.enums;

import java.util.Arrays;

/**
 * 货主转换状态(0待转/1未完成/2已完成/3错误/4取消)
 *
 * @author wujunjie
 */
public enum CargoChangeStatus {
    /**
     * 待转
     */
    WAITING("0", "待转换"),
    /**
     * 未完成
     */
    UN_COMPLETED("1", "未完成"),

    /**
     * 已完成
     */
    COMPLETED("2", "已完成"),
    /**
     * 错误
     */
    ERROR("3", "错误"),
    /**
     * 取消
     */
    CANCEL("4", "取消");
    private String status;
    private String name;

    public String getStatus() {
        return status;
    }

    public String getName() {
        return name;
    }

    CargoChangeStatus(String status, String name) {
        this.status = status;
        this.name = name;
    }

    public static CargoChangeStatus get(String status) {
        return Arrays.stream(CargoChangeStatus.values()).filter(x -> x.getStatus().equals(status)).findFirst().orElse(null);
    }
}
